package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TOngoodsshelfBak;

/**
 * 入库任务Mapper接口
 *
 * @author tony
 * @date 2024-07-04
 */
public interface TOngoodsshelfBakMapper extends BaseMapper<TOngoodsshelfBak> //修改
{
    /**
     * 查询入库任务
     *
     * @param id 入库任务主键
     * @return 入库任务
     */
    public TOngoodsshelfBak selectTOngoodsshelfBakById(String id);

    /**
     * 查询入库任务列表
     *
     * @param tOngoodsshelfBak 入库任务
     * @return 入库任务集合
     */
    public List<TOngoodsshelfBak> selectTOngoodsshelfBakList(TOngoodsshelfBak tOngoodsshelfBak);

    /**
     * 新增入库任务
     *
     * @param tOngoodsshelfBak 入库任务
     * @return 结果
     */
    public int insertTOngoodsshelfBak(TOngoodsshelfBak tOngoodsshelfBak);

    /**
     * 修改入库任务
     *
     * @param tOngoodsshelfBak 入库任务
     * @return 结果
     */
    public int updateTOngoodsshelfBak(TOngoodsshelfBak tOngoodsshelfBak);

    /**
     * 删除入库任务
     *
     * @param id 入库任务主键
     * @return 结果
     */
    public int deleteTOngoodsshelfBakById(String id);

    /**
     * 批量删除入库任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTOngoodsshelfBakByIds(String[] ids);

    /**
     * 批量启用入库任务
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTOngoodsshelfBakByIds(String[] ids);

    /**
     * 批量禁用入库任务
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTOngoodsshelfBakByIds(String[] ids);

}
